
#ifndef _MAIN_H_
#define _MAIN_H_

typedef struct
{
    char *text;
    int count;
    int (*func)(int index, char *argv[]);
} option_t;

/* Function prototypes */
void print_help(char *argv[]);
void parse_args(int argc, char *argv[]);
int opt_set_port(int index, char *argv[]);
int opt_probe(int index, char *argv[]);
int opt_verbose(int index, char *argv[]);
int opt_load_data(int index, char *argv[]);
int opt_exec_data(int index, char *argv[]);
int opt_dump_mem(int index, char *argv[]);
int opt_dump_bios(int index, char *argv[]);
int opt_dump_firm(int index, char *argv[]);
int opt_save_bram(int index, char *argv[]);
int opt_load_bram(int index, char *argv[]);

#endif /* _MAIN_H_ */
