
#ifndef _COMMS_H_
#define _COMMS_H_

#define FLAG_LOAD   0
#define FLAG_EXEC   1

/* Function prototypes */
void comms_init(void);
void comms_set_port(int port);
int comms_probe(void);
void comms_shutdown(void);
uint8 comms_exchange_byte(uint8 value);
void comms_send_word(uint16 data);
void comms_send_long(uint32 data);
uint32 comms_get_long(void);

void par_sync(void);
int par_dump_memory(uint8 *buffer, uint32 address, uint32 length);
int par_load_data(uint8 *buffer, uint32 address, uint32 length, uint8 exec_flag);

#endif /* _COMMS_H_ */
